'use strict';

export default class Player {
  constructor(name, color, faction = 'None') {
    this.name = name;
    this.color = color;
    this.faction = faction;
  }
  setFaction(faction) {
    this.faction = faction;
  }
  setHeroesDeck(heroesDeck) {
    this.heroesDeck = heroesDeck;
  }
  getHeroesDeck(){
    return this.heroesDeck;
  }
}
